# Template Sizes

## List Template Sizes (design)

This endpoint is used to get the design sizes of a design (template). The design could be a design set or a single design.

### Request

* Method: GET
* Endpoint: `https://api.thebrief.ai/v1/templates/{{templateHash}}/design-sizes`

Request example:

```bash
curl --location 'https://api.thebrief.ai/v1/templates/lpp55x/design-sizes' \
--header 'Authorization: Bearer eyJ...'
```

### Response

The response will be in JSON format:

```
{
    "response": [
        {
            "hash": "rd",
            "name": "Square",
            "kind": "system_design",
            "width": 250,
            "height": 250,
            "measureUnit": "px"
        },
        {
            "hash": "xdook",
            "name": "Custom size 8",
            "kind": "custom_design",
            "width": 120,
            "height": 130,
            "measureUnit": "px"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.thebrief.ai/public-api/rest-api/templates-designs/template-sizes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
